# for logging
$scriptname = $myinvocation.InvocationName
$logger.info($scriptname + "--> simple message")

# simple
write-output "greetings|hello world:standard greeting=hello"
write-output "greetings|hello world:total greetings today=42"
# xml string
$xmetric =  '<metric name="hello|world:xml greeting" type="StringEvent" value="konnichiwa" />'
write-output $xmetric
$xmetric =  '<metric name="hello|world:xml greeting count" type="IntCounter" value="42" />'
write-output $xmetric
# xml object
[xml]$xmetric2  = '<metric><name></name><type></type><value></value></metric>'
$xmetric2.metric.name = 'greetings|hello world:canadian greeting'
$xmetric2.metric.'type' = 'StringEvent'
$xmetric2.metric.value = "Whadda'yat?"
write-output $xmetric2

